## netkit-ftp-ssl 0.17.22+0.2

=== debian/changelog ===
netkit-ftp-ssl (0.17.22+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-22.
  * Refresh all patches.

 -- Ian Beckwith <ianb@debian.org>  Sun, 16 May 2010 22:56:14 +0100

netkit-ftp (0.17-22) unstable; urgency=low

  * Changes by Mats Erik Andersson.
    - Updated 040_ipv6_ftp_c.diff to fix double free error (Closes: #579532)
  * Added Mats to the Uploaders field.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 11 May 2010 12:01:39 +0200

netkit-ftp-ssl (0.17.21+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-21
    + IPv6 support! (Closes: #336106)
      Thanks to Mats Erik Andersson <mats.andersson@gisladisker.se>.
  * Convert to format 3.0 (quilt).
  * Extract source changes to patches in debian/patch/, annotate
    patches in DEP3 format. SSL patches start at 500, patches
    below that are imported unchanged from the debian netkit-ftp
    package.
  * 520_check_ssl_new.diff: also check return valueof SSL_new()
    when setting up a data connection.
  * debian/rules:
    + Use -fno-strict-aliasing to avoid warnings from
      type-punning sockaddr_storage.
    + Remove unnecessary extra '-g' from CFLAGS.
  * debian/watch: check for new debian package of netkit-ftp.
  * Standards-Version: 3.8.4 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Fri, 09 Apr 2010 02:41:25 +0100

netkit-ftp (0.17-21) unstable; urgency=low

  * Updated 040_ipv6_ftp_c.diff with Mats' latest patch

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:45:04 +0200

netkit-ftp (0.17-20) unstable; urgency=low

  * Changes by Mats Erik Andersson. Thanks for the HUGE patch!
    - Migrate to format "3.0 (quilt)".
    - debian/control: Adding ${misc:Depends} due to Debhelper.
    - debian/substvars: Deleted file.
    - debian/watch: New file.
    - Extract in-situ patches. Deposited in debian/patches/:
      + 010_patches_in_sarge.diff
      + 020_optional_stripping.diff
      + 025_long_cmd_overflow.diff
      + 030_argv_handling.diff
    - [lintian] New patch 035_lintian_pedantic.diff.
    - New patch for IPv6-capability: 040_ipv6_ftp_c.diff (Closes: #228752)
    - [lintian] maintainer-script-without-set-e: debian/{postinst,prerm}
  * Bumped Standards-Version to 3.8.4.0.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:19:20 +0200

netkit-ftp-ssl (0.17.19+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-19.
  * ftp/cmds.c: fix typo.
  * debian/control: remove DM-Upload-Allowed flag.

 -- Ian Beckwith <ianb@debian.org>  Wed, 23 Sep 2009 01:48:43 +0100

netkit-ftp (0.17-19) unstable; urgency=low

  * Patched main.c to fix memory management on command line arguments.
    Thanks a lot to Mark Calderbank for the patch.
    (Closes: #508378, #505533, #510009)
  * debian/control: replaced libreadline5-dev with libreadline-dev
  * Moved to debhelper compat 7
  * Bumped Standards-Version to 3.8.3.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 14 Sep 2009 13:35:40 +0200

netkit-ftp-ssl (0.17.18+0.2-3) unstable; urgency=low

  * Use editline instead of readline (Closes: #531822)
    Licensing problems forbid us from linking to readline
    and openssl in the same binary.
  * Explicitly Build-Depend on libncurses5-dev, was previously
    pulled in indirectly by libreadline5-dev.
  * Standards-Version: 3.8.1 (no changes).
  * Change maintainer email address.

 -- Ian Beckwith <ianb@debian.org>  Sat, 06 Jun 2009 16:10:42 +0100

netkit-ftp-ssl (0.17.18+0.2-2) unstable; urgency=low

  * Incorporate Ubuntu patch (LP: #184626) to fix segfault when no
    parameter is given to -z. Thanks to Alexander Gitter (Closes: #506137).
  * Added stub watch file.
  * Standards-Version: 3.8.0 (no changes).
  * control: removed superfluous Section: field.
  * prerm, postinst: use set -e instead of /bin/sh -e

 -- Ian Beckwith <ianb@erislabs.net>  Wed, 25 Feb 2009 23:00:16 +0000

netkit-ftp-ssl (0.17.18+0.2-1) unstable; urgency=low

  * New maintainer (Closes: #476131).
  * Update to netkit-ftp 0.17.18.
  * Initialize SSL even when -n is used (Closes: #450723).
    Also enforce -z secure in USER command.
  * Fix nostrip and noopt DEB_BUILD_OPTIONS (Closes: #437616).
  * Fix all warnings in source.
  * Remove dpatch - not worth it for one change out of many.
  * Remove ncurses Build-Dep and drop it from LIBTERMCAP setting,
    as we don't actually use it.
  * ftp.1: Document SSL options, fix typos & hyphen quoting.
  * ftp -h: Document SSL options.
  * Add DM-Upload-Allowed: yes.
  * Update debian/copyright.
  * Bump debhelper compat level to 5.
  * Remove unused debhelper calls.
  * Use netkit-ftp_0.17.orig.tar.gz as our orig.tar.gz.

 -- Ian Beckwith <ianb@erislabs.net>  Fri, 25 Apr 2008 00:22:46 +0100

netkit-ftp (0.17-18) unstable; urgency=low

  * Clean patch applied in previous version. Thanks Steve for helping 
    again with this.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 26 Mar 2008 18:31:12 +0100

netkit-ftp (0.17-17) unstable; urgency=low

  * Applied patch by Steve Kemp to fix buffer overflow in ftp
    commands. (Closes: #391207, #407924)
    Thanks a lot Steve for looking into this.
  * Removed stripping from Makefile. Added it as an option in
    debian/rules. (Closes: #437615)
  * Bumped Standards-Version to 3.7.3. Did some cleaning.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 21 Mar 2008 18:14:02 +0100

netkit-ftp (0.17-16) unstable; urgency=low

  * Build with libreadline5-dev again. Don't know how libreadline4-dev
    managed to get back to debian/control. (Closes: #340302)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Nov 2005 19:57:36 +0100

netkit-ftp (0.17-15) unstable; urgency=low

  * debian/control: Added Depends: on netbase (Closes: #340082)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 21 Nov 2005 10:18:15 +0100

netkit-ftp (0.17-14) unstable; urgency=low

  * Rebuild with libreadline5-dev (Closes: #326364, #336572)
  * Removed /usr/share/doc/ftp/README since it didn't contain

