=== debian/control ===
Source: netkit-ftp-ssl
Section: net
Priority: extra
Maintainer: Ian Beckwith <ianb@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), libeditline-dev, libncurses5-dev, libssl-dev

Package: ftp-ssl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Conflicts: ftp (>= 0.10)
Replaces: ftp (>= 0.10)
Provides: ftp
Description: The FTP client with SSL or TLS encryption support
 ftp is the user interface to the ARPANET standard File Transfer Protocol.
 The program allows a user to transfer files to and from a remote network
 site.
 .
 ftp-ssl replaces normal ftp using SSL or TLS authentication and encryption.
 It interoperates with normal ftpd.
 It checks if the other side is also talking SSL or TLS, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with 
 tcpdump or similar tools.
