=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.9 2001/12/11 09:03:39 herbert Exp $
# Adapted for netkit-ftp.  Copyright 1999 by Herbert Xu.
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CONFIGUREARGS=--with-debug
else
        CONFIGUREARGS=
endif

build: build-stamp
build-stamp:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		./configure $(CONFIGUREARGS) --with-editline ; \
		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS=$(DEFS) \1/' \
		    -e 's/^\(LIBTERMCAP=\).*/\1/' \
		    MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
	fi
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	[ ! -f MCONFIG ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) INSTALLROOT=`pwd`/debian/ftp-ssl MANDIR=/usr/share/man install
	mv debian/ftp-ssl/usr/bin/ftp debian/ftp-ssl/usr/bin/ftp-ssl
	ln -sf ftp-ssl debian/ftp-ssl/usr/bin/pftp
	mv debian/ftp-ssl/usr/share/man/man1/ftp.1 \
	   debian/ftp-ssl/usr/share/man/man1/ftp-ssl.1
	ln -sf ftp-ssl.1 debian/ftp-ssl/usr/share/man/man1/pftp.1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
