## netkit-ftp-ssl 0.17.23+0.2

=== debian/changelog ===
netkit-ftp-ssl (0.17.23+0.2-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 13:18:02 +0100

netkit-ftp-ssl (0.17.23+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17.23.
  * CFLAGS: add -g -fno-strict-aliasing.
  * Standards-Version: 3.9.0.
  * debian/copyright: explicitly embed BSD license.

 -- Ian Beckwith <ianb@debian.org>  Sun, 04 Jul 2010 01:45:37 +0100

netkit-ftp (0.17-23) unstable; urgency=low

  [Mats Erik Andersson]

  * Rework error recovery. (Closes: #582598)
    + 040_ipv6_ftp_c.diff: Updated file.
    + Avoid double free errors by freeing immediately at an intermediary error.
    + Conditional use of IP_TOS for GNU/kfreebsd.
  * debian/copyright: Explicit licensing for the IPv6 coding.
  * debian/rules: Added compiler flag '-fno-strict-aliasing'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 25 May 2010 23:50:59 +0200
