=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Ian Beckwith <ianb@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 7), libeditline-dev, libncurses5-dev, libssl-dev
 
 Package: ftp-ssl
