=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 	if [ ! -f MCONFIG ]; then \
 		./configure $(CONFIGUREARGS) --with-editline ; \
-		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS=$(DEFS) \1/' \
+		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS= -g $(DEFS) -fno-strict-aliasing \1/' \
 		    -e 's/^\(LIBTERMCAP=\).*/\1/' \
 		    MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
