## netkit-ftp-ssl 0.17.33+0.2

=== ftp/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LIBS += -lreadline $(LIBTERMCAP)
 endif
 
-ftp: cmds.o cmdtab.o domacro.o ftp.o main.o ruserpass.o
+ftp: cmds.o cmdtab.o domacro.o ftp.o glob.o main.o ruserpass.o
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 domacro.o ftp.o glob.o main.o ruserpass.o: ftp_var.h pathnames.h
