=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: netkit-ftp-ssl
 Section: net
 Priority: extra
-Maintainer: Ian Beckwith <ianb@debian.org>
-Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 7), libeditline-dev, libncurses5-dev, libssl-dev
+Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libeditline-dev, libncurses5-dev, libssl-dev
 
 Package: ftp-ssl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
-Conflicts: ftp (>= 0.10)
-Replaces: ftp (>= 0.10)
+Breaks: ftp (<= 0.17-31)
+Replaces: ftp (<= 0.17-31)
 Provides: ftp
-Description: The FTP client with SSL or TLS encryption support
+Description: FTP client with SSL or TLS encryption support
  ftp is the user interface to the ARPANET standard File Transfer Protocol.
  The program allows a user to transfer files to and from a remote network
  site.
