=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing
+DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
+
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         CONFIGUREARGS=--with-debug
@@ -14,18 +21,27 @@
         CONFIGUREARGS=
 endif
 
-build: build-stamp
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CROSS :=
+else
+	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
 	if [ ! -f MCONFIG ]; then \
 		./configure $(CONFIGUREARGS) --with-editline ; \
-		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS= -g $(DEFS) -fno-strict-aliasing \1/' \
-		    -e 's/^\(LIBTERMCAP=\).*/\1/' \
+		sed -e 's;^CFLAGS=\(.*\)$$;CFLAGS= -g $(DEFS) -fno-strict-aliasing $(CFLAGS) $(CPPFLAGS) \1;' \
+		    -e 's;^LDFLAGS=\(.*\)$$;& $(LDFLAGS);' \
+		    -e 's;^\(LIBTERMCAP=\).*;\1;' \
 		    MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
 	fi
-	$(MAKE)
+	$(MAKE) $(CROSS)
 
 	touch build-stamp
 
@@ -47,10 +63,14 @@
 
 	$(MAKE) INSTALLROOT=`pwd`/debian/ftp-ssl MANDIR=/usr/share/man install
 	mv debian/ftp-ssl/usr/bin/ftp debian/ftp-ssl/usr/bin/ftp-ssl
-	ln -sf ftp-ssl debian/ftp-ssl/usr/bin/pftp
+	#ln -sf ftp-ssl debian/ftp-ssl/usr/bin/pftp
+	rm -f debian/ftp-ssl/usr/bin/pftp
 	mv debian/ftp-ssl/usr/share/man/man1/ftp.1 \
 	   debian/ftp-ssl/usr/share/man/man1/ftp-ssl.1
-	ln -sf ftp-ssl.1 debian/ftp-ssl/usr/share/man/man1/pftp.1
+	#ln -sf ftp-ssl.1 debian/ftp-ssl/usr/share/man/man1/pftp.1
+	rm -f debian/ftp-ssl/usr/share/man/man1/pftp.1
+	mv debian/ftp-ssl/usr/share/man/man5/netrc.5 \
+	   debian/ftp-ssl/usr/share/man/man5/netrc-ssl.5
 
 	touch install-stamp
