## netkit-ftp-ssl 0.17.34%2B0.2

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
 Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libeditline-dev, libncurses5-dev, libssl-dev
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10~), libeditline-dev, libncurses5-dev, libssl-dev, cmake
 
 Package: ftp-ssl
 Architecture: any
@@ -23,5 +23,5 @@
  to normal ftp protocol.
  .
  Advantages over normal ftp(d): Your passwords and the data you send
- will not go in cleartext over the line. Nobody can get it with 
- tcpdump or similar tools. 
+ will not go in cleartext over the line. Nobody can get it with
+ tcpdump or similar tools.
