## netkit-ftp-ssl 0.17.34%2Breally0.17

=== debian/changelog ===
netkit-ftp-ssl (0.17.34+really0.17-1) unstable; urgency=medium

  * QA upload.
  * Switch from debhelper to debhelper-compat.
  * Represent original upstream version with +really.
  * debian/watch: Remove because upstream is dead.
  * d/copyright: Convert to format 1.0.

 -- Bastian Germann <bage@debian.org>  Sat, 04 Dec 2021 03:04:28 +0100

netkit-ftp-ssl (0.17.34+0.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop editline/libedit patches (Closes: #995800).
  * Drop 3rd clause from BSD-4-clause.

 -- Bastian Germann <bage@debian.org>  Thu, 21 Oct 2021 23:51:06 +0200

netkit-ftp-ssl (0.17.34+0.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libedit (Closes: #966383).

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 08 Sep 2020 23:41:48 +0200

netkit-ftp-ssl (0.17.34+0.2-5) unstable; urgency=medium

  * debian/patches/710_fix_ftbfs_gcc10.diff. Always use extern for hashstep
    in ftp_var.h. (Closes: #957597)
  * Bumped Standards-Version to 4.5.0
    - debian/control: Update Priority: to optional

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 03 Aug 2020 15:49:04 +0200

netkit-ftp-ssl (0.17.34+0.2-4.1) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake as build system. Closes: #912126
  * Migrate to openssl 1.1, patches by Sebastian Andrzej Siewior.
    Closes: #859224

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:39:23 +0100

netkit-ftp-ssl (0.17.34+0.2-4) unstable; urgency=medium

  * Correctly reuse SSL session identity in data connection.
    This suffices for libssl1.0, not for libssl1.1.  (Closes: #854460)
    + debian/patches/700_prefer_tls.diff: Reactivate commented out
      function call to SSL_copy_session_id().
    + debian/control: Prefer libssl1.0-dev and condition libssl-dev
      on "<< 1.1.0~" for trivial backporting.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 08 Feb 2017 18:39:46 +0100

netkit-ftp-ssl (0.17.34+0.2-3) unstable; urgency=low

  * Allow verification mode to print additional details about the
    certificate presented by the server, given that verbosity is set.
    + debian/patches/700_prefer_tls.diff: Updated.
    + debian/rules: Define macro BUILD_SSL_CLIENT.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 18 Jan 2017 19:33:56 +0100

netkit-ftp-ssl (0.17.34+0.2-2) unstable; urgency=low

  * Move TLS abilities closer to contemporary standard. The SSL option
    'cipher=list' works and 'cacert=file' makes verification possible.
    + debian/patches/700_prefer_tls.diff: New file.
  * debian/control: Reverse the order of libssl-dev and libssl1.0-dev.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 05 Jan 2017 15:54:53 +0100

netkit-ftp-ssl (0.17.34+0.2-1) unstable; urgency=low

  * Update to source version 0.17-34 of netkit-ftp.
  * Build-depend on libssl1.0-dev or on libssl-dev.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 14 Dec 2016 00:38:03 +0100

netkit-ftp (0.17-34) unstable; urgency=low

  * Increase Standards to 3.9.8, no changes.
  * Increase hardening level.
  * [lintian] Silence complaints on ancient source archive.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 16:23:57 +0100
