=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: netkit-ftp-ssl
 Section: net
-Priority: extra
-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
-Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10~), libeditline-dev, libncurses5-dev, libssl-dev, cmake
+Build-Depends: debhelper-compat (= 10), libreadline-dev, libncurses-dev, libssl-dev, cmake
 
 Package: ftp-ssl
 Architecture: any
