## netkit-ftp-ssl 0.17.34+0.2

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: netkit-ftp-ssl
 Section: net
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Priority: extra
+Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper-compat (= 10), libreadline-dev, libncurses-dev, libssl-dev, cmake
+Build-Depends: debhelper (>= 9), libeditline-dev, libncurses5-dev, libssl1.0-dev | libssl-dev (<< 1.1.0~)
 
 Package: ftp-ssl
 Architecture: any
@@ -22,5 +23,5 @@
  to normal ftp protocol.
  .
  Advantages over normal ftp(d): Your passwords and the data you send
- will not go in cleartext over the line. Nobody can get it with
- tcpdump or similar tools.
+ will not go in cleartext over the line. Nobody can get it with 
+ tcpdump or similar tools.
