=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
 
-CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -fPIE -pie
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS) -DBUILD_SSL_CLIENT
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
