=== debian/watch ===
version=3

# check for new debian package of our upstream, netkit-ftp
# the other possible upstreams are long dead

opts="uversionmangle=s/(.*)-(.*)/$1.$2+0.2/" http://ftp.debian.org/debian/pool/main/n/netkit-ftp/netkit-ftp_(.*).dsc
