=== debian/changelog ===
netkit-ftp-ssl (0.17.34+really0.17-3) unstable; urgency=medium

  * QA upload.
  * Refresh all patches to remove fuzzyness.
  * Use https in Bug-Debian fields.
  * Build using C17 standard with GNU extensions. Closes: #1097449.
  * Update source lintian overrides.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 20 Oct 2025 12:30:00 +0200

netkit-ftp-ssl (0.17.34+really0.17-2) unstable; urgency=medium

  * QA upload.
  * add gbp.conf
  * add Vcs fields to debian/control
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update renamed lintian tag names in lintian overrides.
  * Fix day-of-week for changelog entry 0.17.12+0.2-4.
  * Use wrap-and-sort -satb for debian control files
  * update to debhelper-compat=10
  * build with hardening flags

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 08 May 2024 14:02:37 +0200
