=== debian/control ===
Source: netkit-ftp-ssl
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libncurses-dev,
 libreadline-dev,
 libssl-dev,
Vcs-Git: https://salsa.debian.org/debian/netkit-ftp-ssl.git
Vcs-Browser: https://salsa.debian.org/debian/netkit-ftp-ssl

Package: ftp-ssl
Architecture: any
Depends:
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 ftp (<= 0.17-31),
Replaces:
 ftp (<= 0.17-31),
Provides:
 ftp,
Description: FTP client with SSL or TLS encryption support
 ftp is the user interface to the ARPANET standard File Transfer Protocol.
 The program allows a user to transfer files to and from a remote network
 site.
 .
 ftp-ssl replaces normal ftp using SSL or TLS authentication and encryption.
 It interoperates with normal ftpd.
 It checks if the other side is also talking SSL or TLS, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.
