=== debian/rules ===
#!/usr/bin/make -f

export verbose=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
